/// <reference types="node" resolution-mode="require"/>
import type { HttpContext, NextFunction } from '../middleware.js';
import type { Json } from '../types.js';
import type { MergeRequestContext, RequestContext } from './with-request.js';
export type WithBodyContext<InputContext extends RequestContext> = MergeRequestContext<InputContext, {
    body?: Json;
    bodyRaw?: Buffer;
}>;
export default function withBody<InputContext extends RequestContext>(): (context: InputContext, next: NextFunction<WithBodyContext<InputContext>>, { request }: HttpContext) => Promise<void>;
