import { RequestMethod } from '@withtyped/shared';
import type { NextFunction } from '../middleware.js';
import type { RequestContext } from './with-request.js';
export type WithCorsConfig<T extends string> = {
    /** Default to 'adaptive' */
    allowedOrigin?: (T extends 'adaptive' | '*' ? never : T) | RegExp | 'adaptive';
    /** Default to '*' */
    allowedHeaders?: string[] | RegExp | '*';
    /** Default to '*' */
    allowedMethods?: Array<string | RequestMethod> | '*';
    /** Default to `false` */
    allowCredentials?: boolean;
    /** Default to 600 */
    maxAge?: number;
};
export default function withCors<InputContext extends RequestContext, T extends string = 'adaptive'>({ allowedOrigin, allowedHeaders, allowedMethods, allowCredentials, maxAge, }?: WithCorsConfig<T>): (context: InputContext, next: NextFunction<InputContext>) => Promise<void>;
