export class QueryError extends Error {
    constructor(query) {
        super('An error occurred when running query.');
        this.query = query;
        this.name = 'QueryError';
    }
}
export class NoResultError extends QueryError {
    constructor(query) {
        super(query);
        this.query = query;
        this.name = 'NoResultError';
        this.message = 'No query result found while it is expected.';
    }
}
export class MultipleRowsFoundError extends QueryError {
    constructor(query) {
        super(query);
        this.query = query;
        this.name = 'MultipleRowsFoundError';
        this.message = 'Multiple rows found in query while only one is expected.';
    }
}
