export declare abstract class Sql<OutputArg = unknown, InputArg = OutputArg> {
    readonly strings: TemplateStringsArray;
    readonly args: InputArg[];
    constructor(strings: TemplateStringsArray, args: InputArg[]);
    abstract compose(rawArray: string[], args: OutputArg[], indexInit?: number): {
        lastIndex: number;
    };
    abstract get composed(): {
        raw: string;
        args: OutputArg[];
    };
}
export declare const createDangerousRawSqlFunction: <SqlClass extends Sql<unknown, unknown>>(Factory: new (strings: TemplateStringsArray, args: unknown[]) => SqlClass) => (raw: string) => SqlClass;
export declare const createIdentifierSqlFunction: <SqlClass extends Sql<unknown, unknown>>(Factory: new (strings: TemplateStringsArray, args: unknown[]) => SqlClass) => (...strings: string[]) => SqlClass;
export declare const createSqlTag: <ArgType, SqlClass extends Sql<unknown, ArgType>>(Factory: new (strings: TemplateStringsArray, args: ArgType[]) => SqlClass) => <T extends ArgType[]>(strings: TemplateStringsArray, ...args: T) => SqlClass;
