import { z } from 'zod';
export declare const bookGuard: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    authors: z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        email: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        email?: string | undefined;
        name: string;
    }, {
        email?: string | undefined;
        name: string;
    }>, "many">;
    price: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    authors: {
        email?: string | undefined;
        name: string;
    }[];
    price: number;
}, {
    id: string;
    name: string;
    authors: {
        email?: string | undefined;
        name: string;
    }[];
    price: number;
}>;
export type Book = z.infer<typeof bookGuard>;
export declare const createBook: () => Book;
export declare const createBookWithoutId: () => Omit<Book, 'id'>;
