/// <reference types="node" resolution-mode="require"/>
/// <reference types="node" resolution-mode="require"/>
import { IncomingMessage, ServerResponse } from 'node:http';
import type { RequestMethod } from '@withtyped/shared';
import sinon from 'sinon';
import type { RequestContext } from '../middleware/with-request.js';
import type { HttpContext } from '../middleware.js';
export declare const createHttpContext: (isHttps?: boolean) => HttpContext;
export declare const createRequestPayload: (isHttps?: boolean) => [IncomingMessage, ServerResponse];
export declare const createRequestContext: (method: RequestMethod | undefined, path: string, body?: unknown) => RequestContext;
export declare const stubResponseWrite: (response: ServerResponse) => sinon.SinonStub<[chunk: any, encoding: BufferEncoding, callback?: ((error: Error | null | undefined) => void) | undefined], boolean>;
