import type { ZodType } from 'zod';
/**
 * Reference: https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/JSON/parse#return_value
 */
export type Json = JsonObject | JsonArray | string | number | boolean | null;
export type JsonArray = Json[];
export type JsonObject = {
    [key: string]: Json;
};
export type Merge<A, B> = {
    [key in keyof (A & B)]: key extends keyof B ? B[key] : key extends keyof A ? A[key] : never;
};
export type Parser<T> = ZodType<T>;
export type Expand<T> = T extends infer O ? {
    [K in keyof O]: O[K];
} : never;
